/**
 * @author oldj
 * @blog https://oldj.net
 */
'use strict';

import map from './map'

export default (target, ...sources) => {
  map(sources, obj => {
    for (let k in obj) {
      if (Object.prototype.hasOwnProperty.call(obj, k)) {
        target[k] = obj[k];
      }
    }
  });
  return target;
};